
From: Arjan van de Ven <arjan@infradead.org>

add_timer_on() isn't used by modules (in fact it's only used ONCE, in
workqueue.c) and it's not even a good api for drivers, in fact, the comment
for it says

 * This is not very scalable on SMP. Double adds are not possible.

Signed-off-by: Arjan van de Ven <arjan@infradead.org>
Acked-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/timer.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN kernel/timer.c~unexport-add_timer_on kernel/timer.c
--- 25/kernel/timer.c~unexport-add_timer_on	2004-10-26 01:02:03.231443320 -0700
+++ 25-akpm/kernel/timer.c	2004-10-26 01:02:03.235442712 -0700
@@ -242,7 +242,6 @@ void add_timer_on(struct timer_list *tim
 	spin_unlock_irqrestore(&base->lock, flags);
 }
 
-EXPORT_SYMBOL(add_timer_on);
 
 /***
  * mod_timer - modify a timer's timeout
_
